> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Send new FAST text message to all players within a location and return the ID of the sent message ## OpenAPI ````json POST /v{version}/Fast/location/{locationId}/text { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Fast/location/{locationId}/text": { "post": { "tags": [ "Fast" ], "summary": "Send new FAST text message to all players within a location and return the ID of the sent message", "operationId": "Fast_SendTextMessageToLocation", "parameters": [ { "name": "locationId", "in": "path", "description": "Unique ID of the location", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Content of the message as plain text", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.Fast.FastLocationTextMessage" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "string", "format": "uuid" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Fast.FastLocationTextMessage": { "required": [ "Payload", "Topic" ], "type": "object", "properties": { "ArchiveDurationSeconds": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Archive duration in seconds of the message", "format": "int32", "example": 86400 }, "ClientRetryCount": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side retry count of the message", "format": "int32", "example": 5 }, "ClientRetryIntervalMs": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side retry interval in milliseconds of the message", "format": "int32", "example": 1000 }, "ClientTimeoutMs": { "maximum": 2147483647, "minimum": 0, "type": "integer", "description": "Client side timeout in milliseconds of the message", "format": "int32", "example": 30000 }, "EditionGuid": { "type": "string", "description": "Unique GUID of the edition\r\n\r\nIf the value is defined, the message will be sent only to players having the matching edition.\r\nIf the value is not defined, there is not edition restriction on sending message.\r\nBy default, the value is not defined.\r\n", "format": "uuid" }, "IncludeOfflinePlayers": { "type": "boolean", "description": "If `true`, the message will be sent to online and offline players.", "example": false }, "LifetimeSeconds": { "maximum": 2147483647, "minimum": 10, "type": "integer", "description": "Message lifetimes in seconds of the message", "format": "int32", "example": 30 }, "Payload": { "type": "string", "description": "Payload of the message in plain text" }, "Topic": { "type": "string", "description": "Topic of the message" }, "ValidCommitIdentifiers": { "type": "array", "items": { "type": "string" }, "description": "Valid commit identifiers of the message" } }, "description": "FAST text message for location" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````